Bug 90750 - (IDE)Compact Flash PCMCIA fails
(IDE)Compact Flash PCMCIA fails
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-13 08:20 EDT by Doug Campbell
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Campbell 2003-05-13 08:20:36 EDT
Description of problem:

Inserting a CompactFlash card in a PCMCIA adapter works fine on my
hardware in RedHat 8.0.  However, using the exact same hardware it
fails in RedHat 9.0.

Version-Release number of selected component (if applicable):

True in both versions 2.4.20-6 and 2.4.20-9 of kernel

How reproducible:

Summary
-------
CompactFlash PCMCIA card cannot be accessed in RedHat 9.0,
very same hardware works under RedHat 8.0 and with a standard
2.4.20 kernel running RedHat 9.

The Setup
---------
The following two experiments were done on the very
same hardware, once with RedHat 8.0 installed, once
with RedHat 9.0 installed.  With RedHat 8.0, the
CompactFlash card is able to have its partition
information accessed when inserted.  With RedHat 9.0,
the partition information cannot be read.  Three other
PCMCIA cards work fine under both operating systems:
a wireless mini-PCI WiFi (contains a PCMCIA bridge),
a 3Com network PCMCIA card, and an IBM Microdrive
PCMCIA card.  The problem also does not happen with
a standard 2.4.20 kernel running RedHat 9.

Computer Details
----------------
Computer: Dell Inspiron 8100
CPU: P3 1GHz/733MHz
Display: 15" UXGA 1600x1200
256MB RAM
Video: ATI Mobility Radeon 7500		ATI Radeon Mobility M7 LW (AGP)
Audio: ESS Maestro 3			maestro3
Wireless Card: Lucent Orinoco with	orinoco_cs
Texas Instruments PCI-1410 CardBus	yenta_socket
  Controller

Flash Card details
------------------
SimpleTech 256MB Compact Flash (in SanDisk PCMCIA adapter)


		       Results under RedHat 8.0
		       ------------------------

When card is inserted, this is the syslog
-----------------------------------------
May  7 22:15:54 localhost cardmgr[526]: socket 1: ATA/IDE Fixed Disk
May  7 22:15:54 localhost cardmgr[526]: executing: 'modprobe ide-cs'
May  7 22:15:56 localhost kernel: hdc: STI Flash S.1.0, ATA DISK drive
May  7 22:15:56 localhost kernel: ide1 at 0x140-0x147,0x14e on irq 3
May  7 22:15:56 localhost kernel: ide-floppy driver 0.99.newide
May  7 22:15:56 localhost kernel: hdc: 500400 sectors (256 MB) w/1KiB Cache,
CHS=695/15/48
May  7 22:15:56 localhost kernel:  hdc: hdc1
May  7 22:15:56 localhost kernel: ide_cs: hdc: Vcc = 3.3, Vpp = 0.0
May  7 22:15:56 localhost cardmgr[526]: executing: './ide start hdc'
May  7 22:15:56 localhost kernel:  hdc: hdc1

Here is some info from after insertion
--------------------------------------
[root@localhost tim]# cardctl ident
Socket 0:
  product info: "Dell", "TrueMobile 1150 Series PC Card", "Version 01.01", ""
  manfid: 0x0156, 0x0002
  function: 6 (network)
Socket 1:
  product info: "STI", "Flash S.1.0"
  manfid: 0x00ce, 0x0000
  function: 4 (fixed disk)
Socket 2:
  no product info available
[root@localhost tim]# dmesg | head
Linux version 2.4.18-14 (bhcompile@stripples.devel.redhat.com) (gcc version 3.2
20020903 (Red Hat Linux 8.0 3.2-7)) #1 Wed Sep 4 13:35:50 EDT 2002
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 0000000000100000 - 000000000ffea800 (usable)
 BIOS-e820: 000000000ffea800 - 0000000010000000 (reserved)
 BIOS-e820: 00000000feea0000 - 00000000fef00000 (reserved)
 BIOS-e820: 00000000ffb80000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
255MB LOWMEM available.
[root@localhost tim]# 


		       Results under RedHat 9.0
		       ------------------------

When card is inserted, this is the syslog
-----------------------------------------
May  7 21:58:07 localhost cardmgr[1510]: socket 1: ATA/IDE Fixed Disk
May  7 21:58:07 localhost cardmgr[1510]: executing: 'modprobe ide-cs'
May  7 21:58:10 localhost kernel: hdc: STI Flash S.1.0, CFA DISK drive
May  7 21:58:10 localhost kernel: ide1 at 0x140-0x147,0x14e on irq 3
May  7 21:58:10 localhost kernel: ide-floppy driver 0.99.newide
May  7 21:58:10 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:10 localhost kernel: 
May  7 21:58:10 localhost kernel: hdc: drive not ready for command
May  7 21:58:10 localhost kernel: hdc: 500400 sectors (256 MB) w/1KiB Cache,
CHS=695/15/48
May  7 21:58:10 localhost kernel:  hdc:hdc: status error: status=0x20 {
DeviceFault }
May  7 21:58:10 localhost kernel: 
May  7 21:58:10 localhost kernel: hdc: drive not ready for command
May  7 21:58:10 localhost kernel: ide1: reset: success
May  7 21:58:10 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:10 localhost kernel: 
May  7 21:58:10 localhost kernel: hdc: drive not ready for command
May  7 21:58:10 localhost kernel: ide1: reset: success
May  7 21:58:10 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:10 localhost kernel: 
May  7 21:58:10 localhost kernel: end_request: I/O error, dev 16:00 (hdc), sector 0
May  7 21:58:10 localhost kernel: hdc: drive not ready for command
May  7 21:58:10 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:10 localhost kernel: 
May  7 21:58:10 localhost kernel: hdc: drive not ready for command
May  7 21:58:10 localhost kernel: ide1: reset: success
May  7 21:58:10 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:10 localhost kernel: 
May  7 21:58:10 localhost kernel: hdc: drive not ready for command
May  7 21:58:10 localhost kernel: ide1: reset: success
May  7 21:58:10 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:10 localhost kernel: 
May  7 21:58:10 localhost kernel: end_request: I/O error, dev 16:00 (hdc), sector 2
May  7 21:58:10 localhost kernel: hdc: drive not ready for command
May  7 21:58:10 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:10 localhost kernel: 
May  7 21:58:10 localhost kernel: hdc: drive not ready for command
May  7 21:58:10 localhost kernel: ide1: reset: success
May  7 21:58:10 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:10 localhost kernel: 
May  7 21:58:10 localhost kernel: hdc: drive not ready for command
May  7 21:58:10 localhost kernel: ide1: reset: success
May  7 21:58:10 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:10 localhost kernel: 
May  7 21:58:10 localhost kernel: end_request: I/O error, dev 16:00 (hdc), sector 4
May  7 21:58:10 localhost kernel: hdc: drive not ready for command
May  7 21:58:10 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:10 localhost kernel: 
May  7 21:58:10 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: ide1: reset: success
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: ide1: reset: success
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: end_request: I/O error, dev 16:00 (hdc), sector 6
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: ide1: reset: success
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: ide1: reset: success
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: end_request: I/O error, dev 16:00 (hdc), sector 0
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: ide1: reset: success
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: ide1: reset: success
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: end_request: I/O error, dev 16:00 (hdc), sector 2
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: ide1: reset: success
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: ide1: reset: success
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: end_request: I/O error, dev 16:00 (hdc), sector 4
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: ide1: reset: success
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: ide1: reset: success
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: end_request: I/O error, dev 16:00 (hdc), sector 6
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel:  unable to read partition table
May  7 21:58:11 localhost kernel: ide_cs: hdc: Vcc = 3.3, Vpp = 0.0
May  7 21:58:11 localhost cardmgr[1510]: executing: './ide start hdc'
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: hdc: drive not ready for command
May  7 21:58:11 localhost kernel: hdc: status error: status=0x20 { DeviceFault }
May  7 21:58:11 localhost kernel: 
May  7 21:58:11 localhost kernel: hdc: drive not ready for command

Here is some info from after insertion
--------------------------------------
[root@localhost gail]# cardctl ident
Socket 0:
  product info: "Dell", "TrueMobile 1150 Series PC Card", "Version 01.01", ""
  manfid: 0x0156, 0x0002
  function: 6 (network)
Socket 1:
  product info: "STI", "Flash S.1.0"
  manfid: 0x00ce, 0x0000
  function: 4 (fixed disk)
Socket 2:
  no product info available
[root@localhost gail]# dmesg | head
Linux version 2.4.20-9 (bhcompile@stripples.devel.redhat.com) (gcc version 3.2.2
20030313 (Red Hat Linux 3.2.2-10)) #1 Wed Apr 2 13:42:50 EST 2003
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 0000000000100000 - 000000000ffea800 (usable)
 BIOS-e820: 000000000ffea800 - 0000000010000000 (reserved)
 BIOS-e820: 00000000feea0000 - 00000000fef00000 (reserved)
 BIOS-e820: 00000000ffb80000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
255MB LOWMEM available.
[root@localhost gail]#
Comment 1 Alan Cox 2003-05-13 09:20:39 EDT
Known problem. Red Hat 9 talks newer IDE protocol commands. This gives you good
stuff like 200Gb hard disk support but speaking the new commands to some CF
cards incorrectly results in the CF firmware crashing instead of it saying
"Sorry speak something simpler".

Arjan: There are some workarounds for this in the current 2.4.21-ac tree if we
want to pull them in for a future errata
Comment 2 Bert de Bruijn 2003-06-03 17:14:56 EDT
Just to confirm, I have the same problem. My 16, 20, 32, 128 MB compactflash
cards work fine in my pcmcia-to-cf adapter, but my 256 MB card fails (same
kernel messages as posted).
latest kernel rpm tested is 2.4.20-18.9 .
Comment 3 Bugzilla owner 2004-09-30 11:40:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.